Author Topic: insert DynamicBlock  (Read 3801 times)

0 Members and 1 Guest are viewing this topic.

Guest

  • Guest
Re: insert DynamicBlock
« Reply #15 on: April 28, 2008, 01:00:08 PM »
What about setting the USERS1-5 variables from the macro and have the DVB read the variables?


blkName = ThisDrawing.GetVariable("USERS1")
strLayer = ThisDrawing.GetVariable("USERS2")
strVisibilityState = ThisDrawing.GetVariable("USERS3")

CmdrDuh

  • Automatic Duh Generator
  • King Gator
  • Posts: 4039
Re: insert DynamicBlock
« Reply #16 on: April 28, 2008, 01:19:50 PM »
so your suggesting (like the way i start this? haha) that i use a macro to pass arguments to lisp, (or set them directly from the cui) and then have the DVB read the users# settings?  Seems like a very round about way to get there.  I may have to go that route, but i thought there has to be a way to make this work.  I would even settle for a LISP version at this point.  If anybody knows how to set the visibility of a block w/ lisp, that would solve the problem as well.
Everyone has a photographic memory, Some just don't have film.
They say money can't buy happiness, but it can buy Bacon and that's a close second

Guest

  • Guest
Re: insert DynamicBlock
« Reply #17 on: April 28, 2008, 01:32:06 PM »
If anybody knows how to set the visibility of a block w/ lisp, that would solve the problem as well.

http://www.theswamp.org/index.php?topic=21648.msg261969#msg261969

CmdrDuh

  • Automatic Duh Generator
  • King Gator
  • Posts: 4039
Re: insert DynamicBlock
« Reply #18 on: April 28, 2008, 02:26:21 PM »
Thanks Matt, that works perfectly.
Everyone has a photographic memory, Some just don't have film.
They say money can't buy happiness, but it can buy Bacon and that's a close second

Guest

  • Guest
Re: insert DynamicBlock
« Reply #19 on: April 28, 2008, 03:00:19 PM »
Thanks Matt, that works perfectly.

 :kewl: